Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/Messages.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/Messages.java	(revision 3900)
@@ -1,15 +0,0 @@
-package org.txm.concordance.rcp.actions;
-
-import org.eclipse.osgi.util.NLS;
-
-public class Messages extends NLS {
-	private static final String BUNDLE_NAME = "org.txm.concordance.rcp.actions.messages"; //$NON-NLS-1$
-	public static String action_text_reset_column_widths;
-	static {
-		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
-	}
-
-	private Messages() {
-	}
-}
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/messages.properties	(revision 3899)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/messages.properties	(revision 3900)
@@ -1 +0,0 @@
-action_text_reset_column_widths=Reset column widths
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ResetColumnWidths.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ResetColumnWidths.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/actions/ResetColumnWidths.java	(revision 3900)
@@ -3,6 +3,7 @@
 import org.eclipse.jface.action.Action;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
+import org.txm.concordance.rcp.messages.ConcordanceUIMessages;
 
 public class ResetColumnWidths extends Action {
 	
@@ -12,15 +13,16 @@
 	
 	private ConcordanceEditor concordanceEditor;
 
-	public ResetColumnWidths(IWorkbenchWindow window,
-			ConcordanceEditor concordanceEditor) {
+	public ResetColumnWidths(IWorkbenchWindow window, ConcordanceEditor concordanceEditor) {
+		
 		this.concordanceEditor = concordanceEditor;
 		setId(ID);
-		setText(Messages.action_text_reset_column_widths);
+		setText(ConcordanceUIMessages.action_text_reset_column_widths);
 	}
 	
 	@Override
 	public void run() {
+		
 		concordanceEditor.resetColumnWidths();
 	}
 }
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties	(revision 3899)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/messages.properties	(revision 3900)
@@ -37,3 +37,5 @@
 startComputingConcordance=Start of concordance processing
 sup=>
 view=View
+action_text_reset_column_widths=Reset column widths
+
Index: TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.concordance.rcp/src/org/txm/concordance/rcp/messages/ConcordanceUIMessages.java	(revision 3900)
@@ -16,8 +16,8 @@
 	
 	
 
+	public static String action_text_reset_column_widths;
 	
-	
 	public static String errorWhileComputingTheConcordanceColonP0; 
 	public static String anErrorOccurredWhileRetrievingTheConcordanceLinesColonP0; 
 	
Index: TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/Messages.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/Messages.java	(revision 3900)
@@ -1,6 +1,7 @@
 package org.txm.chartsengine.raster.rcp;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
 
 public class Messages extends NLS {
 	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
@@ -8,7 +9,7 @@
 	public static String LoadingRasterImageFromFileP0;
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
 	}
 
 	private Messages() {
Index: TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/.settings/org.eclipse.core.resources.prefs	(revision 0)
+++ TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/.settings/org.eclipse.core.resources.prefs	(revision 3900)
@@ -0,0 +1,2 @@
+eclipse.preferences.version=1
+encoding//src/org/txm/chartsengine/raster/rcp/messages.properties=UTF-8

Property changes on: TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/.settings/org.eclipse.core.resources.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/Messages.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/Messages.java	(revision 3900)
@@ -1,13 +1,14 @@
 package org.txm.stat.engine.r;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
 
 public class Messages extends NLS {
 	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
 	public static String ErrorCanNotWriteInFileP0;
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
 	}
 
 	private Messages() {
Index: TXM/trunk/bundles/org.txm.groovy.rcp/src/org/txm/groovy/rcp/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.rcp/src/org/txm/groovy/rcp/Messages.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.groovy.rcp/src/org/txm/groovy/rcp/Messages.java	(revision 3900)
@@ -1,13 +1,14 @@
 package org.txm.groovy.rcp;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
 
 public class Messages extends NLS {
 	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
 	public static String UseTheFastPackageIndexMode;
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
 	}
 
 	private Messages() {
Index: TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/ReverseI18nDict.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/ReverseI18nDict.groovy	(revision 3899)
+++ TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/ReverseI18nDict.groovy	(revision 3900)
@@ -103,7 +103,7 @@
 			out.println('''
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
 	}
 
 	private Messages() {
Index: TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/MergeExternalizedStringFiles.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/MergeExternalizedStringFiles.groovy	(revision 3899)
+++ TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/i18n/MergeExternalizedStringFiles.groovy	(revision 3900)
@@ -275,7 +275,7 @@
 			out.writeLine('''
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
 	}
 
 	private Messages() {
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/Messages.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/Messages.java	(revision 3900)
@@ -1,13 +1,14 @@
 package org.txm.chartsengine.jfreechart.core;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
 
 public class Messages extends NLS {
 	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
 	public static String JFCChartsEngine_0;
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
 	}
 
 	private Messages() {
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 3900)
@@ -32,7 +32,7 @@
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.searchengine.core.messages.Messages;
+import org.txm.searchengine.core.messages.SearchEngineCoreMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -116,7 +116,7 @@
 				String eName = split[i+1];
 				SearchEngine e = SearchEnginesManager.getSearchEngine(eName);
 				if (e == null) {
-					Log.warning(NLS.bind(Messages.ErrorUnknownSearchEngineP0, eName));
+					Log.warning(NLS.bind(SearchEngineCoreMessages.ErrorUnknownSearchEngineP0, eName));
 					continue;
 				}
 				
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/QueryHistory.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/QueryHistory.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/QueryHistory.java	(revision 3900)
@@ -9,10 +9,9 @@
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Project;
-import org.txm.searchengine.core.messages.Messages;
+import org.txm.searchengine.core.messages.SearchEngineCoreMessages;
 import org.txm.utils.TXMProgressMonitor;
 import org.txm.utils.io.IOUtils;
 
@@ -62,19 +61,19 @@
 	@Override
 	public String getName() {
 
-		return Messages.QueryHistory;
+		return SearchEngineCoreMessages.QueryHistory;
 	}
 
 	@Override
 	public String getSimpleName() {
 
-		return Messages.QueryHistory;
+		return SearchEngineCoreMessages.QueryHistory;
 	}
 
 	@Override
 	public String getDetails() {
 
-		return NLS.bind(Messages.QueryHistoryOfP0, queries.size());
+		return NLS.bind(SearchEngineCoreMessages.QueryHistoryOfP0, queries.size());
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/Messages.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/Messages.java	(revision 3900)
@@ -1,24 +0,0 @@
-package org.txm.searchengine.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-
-public class Messages extends NLS {
-	
-	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
-	
-	public static String ErrorUnknownSearchEngineP0;
-
-	public static String NoSearchengineP0Found;
-
-	public static String QueryHistory;
-
-	public static String QueryHistoryOfP0;
-
-	public static String startingP0;
-	static {
-		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
-	}
-	
-	private Messages() {}
-}
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/messages/SearchEngineCoreMessages.java	(revision 3900)
@@ -15,6 +15,16 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.searchengine.core.messages.messages"; //$NON-NLS-1$
 	
+	public static String ErrorUnknownSearchEngineP0;
+
+	public static String NoSearchengineP0Found;
+
+	public static String QueryHistory;
+
+	public static String QueryHistoryOfP0;
+
+	public static String startingP0;
+	
 	public static String info_creatingNewPartition;
 	
 	public static String info_deletingPartition;
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 3900)
@@ -6,7 +6,7 @@
 import org.txm.core.results.TXMResult;
 import org.txm.objects.CorpusBuild;
 import org.txm.objects.Match;
-import org.txm.searchengine.core.messages.Messages;
+import org.txm.searchengine.core.messages.SearchEngineCoreMessages;
 import org.txm.utils.LogMonitor;
 
 public abstract class SearchEngine implements ISearchEngine {
@@ -17,7 +17,7 @@
 	public abstract String getName();
 	
 	public boolean start() throws Exception {
-		return start(new LogMonitor(NLS.bind(Messages.startingP0, getName())));
+		return start(new LogMonitor(NLS.bind(SearchEngineCoreMessages.startingP0, getName())));
 	}
 	
 	public abstract Selection query(CorpusBuild corpus, IQuery query, String name, boolean saveQuery) throws Exception;
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java	(revision 3899)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java	(revision 3900)
@@ -1,7 +1,7 @@
 package org.txm.searchengine.core;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.searchengine.core.messages.Messages;
+import org.txm.searchengine.core.messages.SearchEngineCoreMessages;
 
 /**
  * Represent a search engine query
@@ -80,7 +80,7 @@
 		
 		SearchEngine se = SearchEnginesManager.getSearchEngine(engineName);
 		if (se == null) {
-			throw new IllegalArgumentException(NLS.bind(Messages.NoSearchengineP0Found, engineName));
+			throw new IllegalArgumentException(NLS.bind(SearchEngineCoreMessages.NoSearchengineP0Found, engineName));
 		}
 		IQuery query = se.newQuery();
 		query.setQuery(queryString);
